## ros-melodic-safety-limiter-msgs 0.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(safety_limiter_msgs)

find_package(catkin REQUIRED COMPONENTS
  message_generation
  std_msgs
)

add_message_files(
  FILES
    SafetyLimiterStatus.msg
)

generate_messages(
  DEPENDENCIES
    std_msgs
)

catkin_package(
  CATKIN_DEPENDS
    message_runtime
    std_msgs
)

=== debian/changelog ===
ros-melodic-safety-limiter-msgs (0.8.0-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atushi.w@ieee.org>  Tue, 03 Mar 2020 00:00:00 -0000

ros-melodic-safety-limiter-msgs (0.7.0-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atushi.w@ieee.org>  Wed, 29 Jan 2020 00:00:00 -0000

ros-melodic-safety-limiter-msgs (0.5.0-1stretch) stretch; urgency=high

  * Add safety_limiter_msgs package (#16 <https://github.com/at-wat/neonavigation_msgs/issues/16>)
  * Contributors: Daiki Maekawa

 -- Atsushi Watanabe <atushi.w@ieee.org>  Wed, 02 Oct 2019 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-safety-limiter-msgs
Section: misc
Priority: optional
Maintainer: Atsushi Watanabe <atushi.w@ieee.org>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-safety-limiter-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-message-runtime, ros-melodic-std-msgs
Description: Message definitions for safety_limiter_msgs package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-safety-limiter-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-safety-limiter-msgs 0.14.0

=== debian/changelog ===
ros-melodic-safety-limiter-msgs (0.14.0-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 06 Jun 2023 00:00:00 -0000

ros-melodic-safety-limiter-msgs (0.12.0-1bionic) bionic; urgency=high

  * safety_limiter_msgs: fix maintainer email (#29 <https://github.com/at-wat/neonavigation_msgs/issues/29>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 30 Jan 2023 00:00:00 -0000

ros-melodic-safety-limiter-msgs (0.8.0-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atushi.w@ieee.org>  Tue, 03 Mar 2020 00:00:00 -0000

ros-melodic-safety-limiter-msgs (0.7.0-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atushi.w@ieee.org>  Wed, 29 Jan 2020 00:00:00 -0000

ros-melodic-safety-limiter-msgs (0.5.0-1bionic) bionic; urgency=high

  * Add safety_limiter_msgs package (#16 <https://github.com/at-wat/neonavigation_msgs/issues/16>)
  * Contributors: Daiki Maekawa

 -- Atsushi Watanabe <atushi.w@ieee.org>  Wed, 02 Oct 2019 00:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-melodic-safety-limiter-msgs
 Section: misc
 Priority: optional
-Maintainer: Atsushi Watanabe <atushi.w@ieee.org>
+Maintainer: Atsushi Watanabe <atsushi.w@ieee.org>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-std-msgs
 Homepage: 
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
